#include <stdio.h>

#include "6522.h"
#include "module_inc.h"

t_6522 i_6522 = {
    init, update,
    { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } /* the 16 registers */
};

static void init() {
}

static time_t update(time_t inc) {
    static time_t time = 0;

/*    printf("Updating 6522 by %d ticks\n", inc); */
    return time += inc;
}
